curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes/scorecard' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window_hours": 1,
"total": 102,
"confirmed": 1,
"rejected": 1,
"pending": 1,
"escalations": 1,
"automated": 1,
"approval_rate": 7.5,
"escalation_rate": 7.5,
"automation_rate": 7.5,
"by_type": [
{
"outcome_type": "string",
"count": 2
}
],
"escalation_reasons": [
{
"category": "standard",
"count": 2
}
]
}
Get brand quality scorecard
Closed-loop quality rates (approval / escalation / automation) over a rolling window.
GET
/
v1
/
brands
/
{brand_id}
/
outcomes
/
scorecard
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes/scorecard' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window_hours": 1,
"total": 102,
"confirmed": 1,
"rejected": 1,
"pending": 1,
"escalations": 1,
"automated": 1,
"approval_rate": 7.5,
"escalation_rate": 7.5,
"automation_rate": 7.5,
"by_type": [
{
"outcome_type": "string",
"count": 2
}
],
"escalation_reasons": [
{
"category": "standard",
"count": 2
}
]
}
Path parameters
string (uuid)
required
Response
object
string (uuid)
required
integer
required
integer
required
integer
required
integer
required
integer
required
integer
required
integer
required
number
number
number
Status codes
| Code | Meaning |
|---|---|
200 | Closed-loop quality rates (approval / escalation / automation) over a rolling window. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes/scorecard' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window_hours": 1,
"total": 102,
"confirmed": 1,
"rejected": 1,
"pending": 1,
"escalations": 1,
"automated": 1,
"approval_rate": 7.5,
"escalation_rate": 7.5,
"automation_rate": 7.5,
"by_type": [
{
"outcome_type": "string",
"count": 2
}
],
"escalation_reasons": [
{
"category": "standard",
"count": 2
}
]
}
Last modified on August 31, 2026